/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface ApiGetValueListGet200Response
 */
export interface ApiGetValueListGet200Response {
    /**
     * 
     * @type {Array<string>}
     * @memberof ApiGetValueListGet200Response
     */
    listValues?: Array<string>;
}

/**
 * Check if a given object implements the ApiGetValueListGet200Response interface.
 */
export function instanceOfApiGetValueListGet200Response(value: object): boolean {
    let isInstance = true;

    return isInstance;
}

export function ApiGetValueListGet200ResponseFromJSON(json: any): ApiGetValueListGet200Response {
    return ApiGetValueListGet200ResponseFromJSONTyped(json, false);
}

export function ApiGetValueListGet200ResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): ApiGetValueListGet200Response {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'listValues': !exists(json, 'listValues') ? undefined : json['listValues'],
    };
}

export function ApiGetValueListGet200ResponseToJSON(value?: ApiGetValueListGet200Response | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'listValues': value.listValues,
    };
}

